Bug 167548 - CPU Load sits at 100% when using eclipse in java perspective
CPU Load sits at 100% when using eclipse in java perspective
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Andrew Overholt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-05 01:29 EDT by Daniel Draper
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 16:43:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Draper 2005-09-05 01:29:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
Switching to Java perspective and opening a Java file causes severe system slow down and java process uses 100% of CPU. Compilation is very slow and throws errors such as "Error cleaning output folder".

I am using separate source and output folders and I have two JRE's installed - the standard ECJ that comes with FC4 and j2sdk-1.4.2_09. The latter is currently set as my default jre.

I try removing ~/.eclipse but this has no effect except to switch me back to resource perspective. I am experiencing frequent crashes as well.

I have extra installed plugin: a javascript plugin from sourceforge and includes the following:
net.sf.wdte.core_0.0.9                          
net.sf.wdte.js.core_0.0.9
net.sf.wdte.js.ui_0.0.9
net.sf.wdte.ui_0.0.9


Version-Release number of selected component (if applicable):
eclipse-ecj-3.1.0_fc-0.M6.22
eclipse-jdt-3.1.0_fc-0.M6.22
eclipse-bugzilla-0.1.0_fc-16
eclipse-pydev-0.9.3_fc-7
eclipse-cdt-3.0.0_fc-0.M6.7
eclipse-changelog-2.0.1_fc-21
eclipse-platform-3.1.0_fc-0.M6.22

How reproducible:
Always

Steps to Reproduce:
1.Open eclipse
2.switch to java perspective
3.open java file and edit
  

Actual Results:  CPU Load very high. Java process using lots of CPU. Compilation slow.

Expected Results:  I would expect minimal overhead.

Additional info:
Comment 1 Andrew Overholt 2005-11-01 14:34:54 EST
I can't reproduce this.  If this is a Sun JVM issue, I can't really help you. 
Have you tried upstream Eclipse downloads to see if it is duplicatable there?
Comment 2 Billy Biggs 2005-11-01 14:42:40 EST
You can get a stack trace from the Sun JVM by sending a SIGQUIT.
Use "kill -3 <pid>" where <pid> is the PID of the Java process.  This
may be able to give you hints about where the problem may be.
Comment 3 John Thacker 2006-05-05 16:43:08 EDT
Closing due to lack of response from reporter.

Note You need to log in before you can comment on or make changes to this bug.